# Class BeforeCellRenderArgs

java.lang.Object
org.daypilot.ui.args.month.BeforeCellRenderArgs

public class BeforeCellRenderArgs extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `backgroundColorEquals(String color)`
  `static BeforeCellRenderArgs`
  `fromDay(DayPilotMonth month, DateTime day)`
  `AreaCollection`
  `getAreas()`
  `String`
  `getBackgroundColor()`
  `String`
  `getBackgroundImage()`
  `String`
  `getBackgroundRepeat()`
  `String`
  `getCssClass()`
  `DateTime`
  `getEnd()`
  `String`
  `getHeaderBackColor()`
  `String`
  `getHeaderText()`
  `DateTime`
  `getStart()`
  `boolean`
  `isBusiness()`
  `void`
  `setBackgroundColor(String backgroundColor)`
  `void`
  `setBackgroundImage(String backgroundImage)`
  `void`
  `setBackgroundRepeat(String backgroundRepeat)`
  `void`
  `setBusiness(boolean business)`
  `void`
  `setCssClass(String cssClass)`
  `void`
  `setHeaderBackColor(String headerBackColor)`
  `void`
  `setHeaderText(String headerText)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### fromDay

    public static BeforeCellRenderArgs fromDay(DayPilotMonth month, DateTime day)

  - ### isBusiness

    public boolean isBusiness()

  - ### setBusiness

    public void setBusiness(boolean business)

  - ### getBackgroundColor

    public String getBackgroundColor()

  - ### setBackgroundColor

    public void setBackgroundColor(String backgroundColor)

  - ### getHeaderText

    public String getHeaderText()

  - ### setHeaderText

    public void setHeaderText(String headerText)

  - ### getHeaderBackColor

    public String getHeaderBackColor()

  - ### setHeaderBackColor

    public void setHeaderBackColor(String headerBackColor)

  - ### getStart

    public DateTime getStart()

  - ### getEnd

    public DateTime getEnd()

  - ### backgroundColorEquals

    public boolean backgroundColorEquals(String color)

  - ### getCssClass

    public String getCssClass()

  - ### setCssClass

    public void setCssClass(String cssClass)

  - ### getBackgroundImage

    public String getBackgroundImage()

  - ### setBackgroundImage

    public void setBackgroundImage(String backgroundImage)

  - ### getBackgroundRepeat

    public String getBackgroundRepeat()

  - ### setBackgroundRepeat

    public void setBackgroundRepeat(String backgroundRepeat)

  - ### getAreas

    public AreaCollection getAreas()